
QGIS Application - Bug report #12594

Sample R scripts for Processing (Home Range Analysis) do not work

2015-04-17 08:40 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 20717

Description

Various errors from the Home Range Analysis section:

Could not load R script: /home/paolo/.qgis2/python/plugins/processing/algs/r/scripts/Dotplot.rsx.

 Problem with line ##Field=Field Layer

Error in get("rgeos", envir = .MAPTOOLS_CACHE) :

oggetto "rgeos" non trovato

Calls: CharHull -> lapply -> FUN -> rgeosStatus -> get

History

#1 - 2015-04-17 09:16 AM - Giovanni Manghi

- Status changed from Open to Feedback

the script has several R dependencies, do you have them installed?

#2 - 2015-04-17 09:18 AM - Paolo Cavallini

- Status changed from Feedback to Open

In some cases yes. In any case, the script should fail gracefully, saying "Please install lib xyz", otherwise it is not suitable as a sample.

#3 - 2015-05-07 03:16 AM - Giovanni Manghi

- Status changed from Open to Feedback

this scripts are broken anyway, see

https://github.com/qgis/QGIS/pull/2032

so I guess this can be closed (when the original author will fix them it will look also at this error messages).

#4 - 2015-05-07 03:52 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed
script removed (for now).

#5 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#6 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#8 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 124 to Processing/Core
